# Uses of Interface
org.eclipse.ecf.core.security.Callback

Packages that use Callback
Package
Description
org.eclipse.ecf.core.security
org.eclipse.ecf.provider.generic

## Uses of Callback in org.eclipse.ecf.core.security

Classes in org.eclipse.ecf.core.security that implement Callback
Modifier and Type
Class
Description
`class`
`BooleanCallback`
Callback that handles Boolean types
`class`
`NameCallback`
Callback that handles String types
`class`
`ObjectCallback`
Callback that handles arbitrary Objects
`class`
`PassphraseCallback`
Callback that handles passphrases
`class`
`PasswordCallback`
Callback that handles passwords
Methods in org.eclipse.ecf.core.security that return Callback
Modifier and Type
Method
Description
`Callback`
UnsupportedCallbackException.`getCallback()`
Get the unrecognized `Callback`.
Methods in org.eclipse.ecf.core.security with parameters of type Callback
Modifier and Type
Method
Description
`void`
CallbackHandler.`handle(Callback[] callbacks)`
Constructors in org.eclipse.ecf.core.security with parameters of type Callback
Modifier
Constructor
Description
``
`UnsupportedCallbackException(Callback callback)`
Constructs a `UnsupportedCallbackException` with no detail message.
``
`UnsupportedCallbackException(Callback callback, String msg)`
Constructs a UnsupportedCallbackException with the specified detail message.

## Uses of Callback in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return Callback
Modifier and Type
Method
Description
`protected Callback[]`
ClientSOContainer.`createAuthorizationCallbacks()`